Loading...
Searching...
No Matches
odf.odf2moinmoin.ParagraphProps Class Reference

Holds properties of a paragraph style. More...

## Public Member Functions

| __init__ (self)
| setIndented (self, value)
| setHeading (self, level)
| setTitle (self, value)
| setCode (self, value)
| __str__ (self)

## Public Attributes

| blockquote
| headingLevel
| code
| title
| indented

## Detailed Description

Holds properties of a paragraph style.

Definition at line 104 of file odf2moinmoin.py.

## Constructor & Destructor Documentation

## __init__()

odf.odf2moinmoin.ParagraphProps.__init__ | ( |  | self | ) |

Definition at line 106 of file odf2moinmoin.py.

## Member Function Documentation

## __str__()

odf.odf2moinmoin.ParagraphProps.__str__ | ( |  | self | ) |

Definition at line 127 of file odf2moinmoin.py.

## setCode()

odf.odf2moinmoin.ParagraphProps.setCode | ( |  | self,
|  |  | value
| ) |  |

Definition at line 123 of file odf2moinmoin.py.

## setHeading()

odf.odf2moinmoin.ParagraphProps.setHeading | ( |  | self,
|  |  | level
| ) |  |

Definition at line 117 of file odf2moinmoin.py.

## setIndented()

odf.odf2moinmoin.ParagraphProps.setIndented | ( |  | self,
|  |  | value
| ) |  |

Definition at line 114 of file odf2moinmoin.py.

## setTitle()

odf.odf2moinmoin.ParagraphProps.setTitle | ( |  | self,
|  |  | value
| ) |  |

Definition at line 120 of file odf2moinmoin.py.

## Member Data Documentation

## blockquote

odf.odf2moinmoin.ParagraphProps.blockquote

Definition at line 108 of file odf2moinmoin.py.

## code

odf.odf2moinmoin.ParagraphProps.code

Definition at line 110 of file odf2moinmoin.py.

## headingLevel

odf.odf2moinmoin.ParagraphProps.headingLevel

Definition at line 109 of file odf2moinmoin.py.

## indented

odf.odf2moinmoin.ParagraphProps.indented

Definition at line 112 of file odf2moinmoin.py.

## title

odf.odf2moinmoin.ParagraphProps.title

Definition at line 111 of file odf2moinmoin.py.

The documentation for this class was generated from the following file:

- odf/odf2moinmoin.py